Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/destinations/reference/) # Destinations API Reference * getList all destinations * postCreate a new destination * delUnset the default destination * getGet the default destination * putSet the default destination * getGet the OpenAPI spec * getGet a destination * patchUpdate a destination [API docs by Redocly](https://redocly.com/redoc/) # Destinations API (v1.0.0) Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/destinations-api-spec.yaml) The Destinations API provides a way to manage cloud storage destinations. ## [](#operation/PublicGetDestinations)List all destinations ##### Authorizations: *JWT**BasicAuth* ##### query Parameters | | | | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | archived | booleanFilter destinations by archived status. | | is\_owner | booleanFilter destinations owned by requester. | | can\_write | booleanFilter destinations where the requester has write permissions. | | is\_default | booleanFilter destinations default status. | | sort\_by | stringSort destinations by one or more fields. Separate multiple fields with commas. Add ' ASC' or ' DESC' to specify direction (defaults to ASC). Default sort is `created DESC`.Supported fields: created, name, type, updatedExamples: `name`, `name DESC`, `name,created DESC` | ### Responses **200** A successful destination response. **401** Response for a request that has unauthorized credentials. **500** Internal server error. **default** Unexpected error. get/destinations/v1 https\://docs.planet.com/destinations/v1 ### Response samples * 200 * 401 * 500 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_self": "string" }, "destinations": [ { "_links": { "_self": "string" }, "archived": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "default": false, "id": "string", "name": "string", "ownership": { "is_owner": true, "owner_id": 0 }, "parameters": { "bucket": "string", "credentials": "string" }, "permissions": { "can_write": true }, "pl:ref": "string", "type": "google_cloud_storage", "updated": "2019-08-24T14:15:22Z" } ] }` ## [](#operation/PublicAddDestination)Create a new destination ##### Authorizations: *JWT**BasicAuth* ##### Request Body schema: application/jsonrequired | | | | ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | name | string \[ 3 .. 63 ] charactersA name given to this Destination. | | parametersrequired | GoogleCloudStorageParams (object) or AmazonS3Params (object) or AzureCloudStorageParams (object) or OracleCloudStorageParams (object) or S3CompatibleParams (object) (DestinationParameters)Parameters for the given Destination type. | | typerequired | string (DestinationType)Enum: "google\_cloud\_storage" "amazon\_s3" "azure\_blob\_storage" "oracle\_cloud\_storage" "s3\_compatible"The type of Destination. | ### Responses **201** A successful destination response. **400** Response for a bad destination request. **401** Response for a destination that has unauthorized credentials. **429** Response for rate limiting **500** Internal server error. **default** Unexpected error. post/destinations/v1 https\://docs.planet.com/destinations/v1 ### Request samples * Payload Content type application/json Copy Expand all Collapse all `{ "name": "string", "parameters": { "bucket": "string", "credentials": "string" }, "type": "google_cloud_storage" }` ### Response samples * 201 * 400 * 401 * 429 * 500 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_self": "string" }, "archived": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "default": false, "id": "string", "name": "string", "ownership": { "is_owner": true, "owner_id": 0 }, "parameters": { "bucket": "string", "credentials": "string" }, "permissions": { "can_write": true }, "pl:ref": "string", "type": "google_cloud_storage", "updated": "2019-08-24T14:15:22Z" }` ## [](#operation/PublicUnsetDefaultDestination)Unset the default destination ##### Authorizations: *JWT**BasicAuth* ### Responses **204** The default destination was successfully unset. **401** Response for a request that has unauthorized credentials. **500** Internal server error. **default** Unexpected error. delete/destinations/v1/default https\://docs.planet.com/destinations/v1/default ### Response samples * 401 * 500 * default Content type application/json Copy `{ "code": 0, "message": "string" }` ## [](#operation/PublicGetDefaultDestination)Get the default destination ##### Authorizations: *JWT**BasicAuth* ### Responses **200** A successful destination response. **401** Response for a request that has unauthorized credentials. **404** Response for a destination that was not found. **500** Internal server error. **default** Unexpected error. get/destinations/v1/default https\://docs.planet.com/destinations/v1/default ### Response samples * 200 * 401 * 404 * 500 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_self": "string" }, "archived": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "default": false, "id": "string", "name": "string", "ownership": { "is_owner": true, "owner_id": 0 }, "parameters": { "bucket": "string", "credentials": "string" }, "permissions": { "can_write": true }, "pl:ref": "string", "type": "google_cloud_storage", "updated": "2019-08-24T14:15:22Z" }` ## [](#operation/PublicSetDefaultDestination)Set the default destination ##### Authorizations: *JWT**BasicAuth* ##### Request Body schema: application/jsonrequired | | | | ----------------------- | ---------------------------------------- | | destination\_idrequired | stringThe ID of the default destination. | ### Responses **200** The default destination was set successfully. **400** Response for a bad destination request. **401** Response for a destination that has unauthorized credentials. **404** Response for a destination that was not found. **409** Response for a conflict, such as attempting to set a default destination when a default already exists. **500** Internal server error. **default** Unexpected error. put/destinations/v1/default https\://docs.planet.com/destinations/v1/default ### Request samples * Payload Content type application/json Copy `{ "destination_id": "string" }` ### Response samples * 200 * 400 * 401 * 404 * 409 * 500 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_self": "string" }, "archived": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "default": false, "id": "string", "name": "string", "ownership": { "is_owner": true, "owner_id": 0 }, "parameters": { "bucket": "string", "credentials": "string" }, "permissions": { "can_write": true }, "pl:ref": "string", "type": "google_cloud_storage", "updated": "2019-08-24T14:15:22Z" }` ## [](#operation/PublicGetSpec)Get the OpenAPI spec ##### Authorizations: *JWT**BasicAuth* ### Responses **200** A successful response. **500** Internal server error. **default** Unexpected error. get/destinations/v1/spec https\://docs.planet.com/destinations/v1/spec ### Response samples * 200 * 500 * default Content type application/json Copy `{ }` ## [](#operation/PublicGetDestination)Get a destination ##### Authorizations: *JWT**BasicAuth* ##### path Parameters | | | | --------------------- | ------ | | destinationIDrequired | string | ### Responses **200** A successful destination response. **401** Response for a request that has unauthorized credentials. **404** Response for a destination that was not found. **500** Internal server error. **default** Unexpected error. get/destinations/v1/{destinationID} https\://docs.planet.com/destinations/v1/{destinationID} ### Response samples * 200 * 401 * 404 * 500 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_self": "string" }, "archived": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "default": false, "id": "string", "name": "string", "ownership": { "is_owner": true, "owner_id": 0 }, "parameters": { "bucket": "string", "credentials": "string" }, "permissions": { "can_write": true }, "pl:ref": "string", "type": "google_cloud_storage", "updated": "2019-08-24T14:15:22Z" }` ## [](#operation/PublicPatchDestination)Update a destination ##### Authorizations: *JWT**BasicAuth* ##### path Parameters | | | | --------------------- | ------ | | destinationIDrequired | string | ##### Request Body schema: application/jsonrequired Any of Destination patch requestDestination patch requestDestination patch request | | | | ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | archive | booleanTrue to archive the destination, false to unarchive. | | name | string \[ 3 .. 63 ] charactersA string to uniquely identify a Destination. | | parametersrequired | GoogleCloudStoragePatchParams (object) or AmazonS3PatchParams (object) or AzureCloudStoragePatchParams (object) or OracleCloudStoragePatchParams (object) or S3CompatiblePatchParams (object) (DestinationPatchParameters)Patch parameters for the given Destination type. | ### Responses **200** A successful destination response. **400** Response for a bad destination request. **401** Response for a destination that has unauthorized credentials. **404** Response for a destination that was not found. **429** Response for rate limiting **500** Internal server error. **default** Unexpected error. patch/destinations/v1/{destinationID} https\://docs.planet.com/destinations/v1/{destinationID} ### Request samples * Payload Content type application/json Copy Expand all Collapse all `{ "archive": true, "name": "string", "parameters": { "credentials": "string" } }` ### Response samples * 200 * 400 * 401 * 404 * 429 * 500 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_self": "string" }, "archived": "2019-08-24T14:15:22Z", "created": "2019-08-24T14:15:22Z", "default": false, "id": "string", "name": "string", "ownership": { "is_owner": true, "owner_id": 0 }, "parameters": { "bucket": "string", "credentials": "string" }, "permissions": { "can_write": true }, "pl:ref": "string", "type": "google_cloud_storage", "updated": "2019-08-24T14:15:22Z" }`